# =====IMPORTS=====
# Third-party imports
import setuptools


with open('README.md', 'r') as readme:
    long_description = readme.read()

with open('requirements.txt', 'r') as reqs_file:
    reqs = [line.strip() for line in reqs_file.readlines()]

setuptools.setup(
    name='frank-Chewing_Bever',
    version='0.0.1',
    author='Jef Roosens',
    author_email='',
    description='A modular tool for building Discord bots',
    long_description=long_description,
    long_description_content_type='text/markdown',
    url='https://gitlab.com/Chewing_Bever/frank',
    packages=setuptools.find_packages(),
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: No Input/Output (Daemon)',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3.8',
    ],
    python_requires='>=3.8',
    install_requires=reqs,
    setup_requires=['wheel'],
)
